<sqtm-core-creation-dialog
  (add)="addEntity()"
  (addAnother)="addAnother()"
  [asyncTaskRunning]="loading$ | async"
  [attr.data-test-dialog-id]="'new-requirements-link'"
>
  <div class="m-10" [formGroup]="formGroup">
    <div class="sqtm-core-dialog-form p-4">
      <label class="label label__align_right">{{
        'sqtm-core.entity.requirement.requirement-version.link.role1.label'
          | translate
      }}</label>
      <sqtm-core-text-field
        [initialFocus]="true"
        [formGroup]="formGroup"
        [fieldName]="'role1'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      ></sqtm-core-text-field>
      <label class="label label__align_right">{{
        'sqtm-core.entity.requirement.requirement-version.link.role1-code.label'
          | translate
      }}</label>
      <sqtm-core-text-field
        [formGroup]="formGroup"
        [fieldName]="'role1Code'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      ></sqtm-core-text-field>
      <label class="label label__align_right">{{
        'sqtm-core.entity.requirement.requirement-version.link.role2.label'
          | translate
      }}</label>
      <sqtm-core-text-field
        [formGroup]="formGroup"
        [fieldName]="'role2'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      ></sqtm-core-text-field>
      <label class="label label__align_right">{{
        'sqtm-core.entity.requirement.requirement-version.link.role2-code.label'
          | translate
      }}</label>
      <sqtm-core-text-field
        [formGroup]="formGroup"
        [fieldName]="'role2Code'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      ></sqtm-core-text-field>
    </div>
  </div>
</sqtm-core-creation-dialog>
